/*

      .
     .
     .
       .

*/
#include <iostream>
#include <math.h>

#define TRIANGLE_COUNT 2

using namespace std;

struct Triangle {
    float a;
    float b;
    float c;
};

double getSquare(Triangle tri);

int main()
{
    Triangle triangle[TRIANGLE_COUNT];

    double s[TRIANGLE_COUNT];

    for (int i = 0; i < TRIANGLE_COUNT; i++) {
        do {
            cout << "Input triangle #" << i + 1 << ": ";
            cin >> triangle[i].a >> triangle[i].b >> triangle[i].c;

            if (triangle[i].a + triangle[i].b > triangle[i].c &&
                triangle[i].a + triangle[i].c > triangle[i].b &&
                triangle[i].b + triangle[i].c > triangle[i].a
                ) {
                s[i] = getSquare(triangle[i]);
            } else {
                s[i] = 0;
                cout << "Error: bad triangle" << endl;
            }
        } while (s[i] == 0);
    }

    int
        maxSquareIndex = 0,
        minSquareIndex = 0;

    for (int i = 1; i < TRIANGLE_COUNT; i++) {
        if (s[i] > s[maxSquareIndex]) {
            maxSquareIndex = i;
        }
        if (s[i] < s[minSquareIndex]) {
            minSquareIndex = i;
        }
    }

    cout << "Triangle #" << maxSquareIndex + 1 << " bigger then #" << minSquareIndex + 1 << " on " << s[maxSquareIndex] - s[minSquareIndex] << endl;
    return 0;
}

double getSquare(Triangle tri)
{
    float p = (tri.a + tri.b + tri.c) / 2;
    return sqrt(p * (p - tri.a) * (p - tri.b) * (p - tri.c));
}
